EncodedKeySpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class EncodedKeySpec

    java.lang.Object
      java.security.spec.EncodedKeySpec

All Implemented Interfaces:
  KeySpec

Direct Known Subclasses:
  PKCS8EncodedKeySpec, X509EncodedKeySpec

    public abstract class EncodedKeySpec

extends Object
implements KeySpec

This class represents a public or private key in encoded format.

Since:
  1.2
Version:
  1.16, 02/02/00
Author:
  Jan Luehe
See Also:
  `Key`, `KeyFactory`, `KeySpec`, `X509EncodedKeySpec`, `PKCS8EncodedKeySpec`

Constructor Summary
`EncodedKeySpec(byte[] encodedKey)` Creates a new EncodedKeySpec with the given encoded key.

Method Summary
`byte[]` | `getEncoded()` Returns the encoded key.
`abstract String` | `getFormat()` Returns the name of the encoding format associated with this key specification.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodedKeySpec

    public EncodedKeySpec(byte[] encodedKey)

  Creates a new EncodedKeySpec with the given encoded key.

  Parameters:
    `encodedKey` - the encoded key.

Method Detail

### getEncoded

    public byte[] getEncoded()

  Returns the encoded key.

  Returns:
    the encoded key.

### getFormat

    public abstract String getFormat()

  Returns the name of the encoding format associated with this key specification.

  If the opaque representation of a key (see `Key`) can be transformed (see `KeyFactory`) into this key specification (or a subclass of it), `getFormat` called on the opaque key returns the same value as the `getFormat` method of this key specification.

  Returns:
    a string representation of the encoding format.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD